import Component from "../Component";
import Container from "./Container";
import { Block } from "../";
import { ComponentFactory } from "../ComponentFactory";
/** Represents a panel (flat card) -styled container */
export declare class CardContainer extends Container {
    /** Initialize a panel factory with given values */
    static with(values: CardContainer.Initializer): ComponentFactory<CardContainer>;
    /** Initialize a panel factory with given content */
    static withContent: (content: ComponentFactory.SpecList2) => ComponentFactory<CardContainer>;
    /** Initialize with given (observable) values; returns this */
    initializeWith: (values: CardContainer.Initializer) => this;
    /** Block to be displayed as panel header, may be null (observed) */
    header: Block | null;
    /** Block to be displayed as panel footer, may be null (observed) */
    footer: Block | null;
    /** Returns an array of directly contained UI components (observable) */
    getChildren(): Component[];
}
export declare namespace CardContainer {
    /** Initializer for .with({ ... }) */
    interface Initializer extends Container.Initializer {
        /** Property initializer */
        header?: ComponentFactory.SpecEltOrList | null;
        /** Property initializer */
        footer?: ComponentFactory.SpecEltOrList | null;
    }
}
export default CardContainer;
