import ControlElement from "./ControlElement";
import { ComponentFactory, ValueOrAsync } from "../ComponentFactory";
/** Represents an empty control element to take up horizontal space within a row */
export declare class Spacer extends ControlElement {
    /** Create a spacer element with given height (default 1px) */
    constructor(height?: string);
    /** Initialize a spacer element factory with given values */
    static with: (values: Spacer.Initializer) => ComponentFactory<Spacer>;
    /** Initialize with given (observable) values; returns this */
    initializeWith: (values: Spacer.Initializer) => this;
    /** Fixed element height (CSS value, defaults to 1px; observed) */
    height: string;
}
export declare namespace Spacer {
    /** Initializer for .with({ ... }) */
    interface Initializer extends ControlElement.Initializer {
        /** Property initializer */
        height?: ValueOrAsync<string>;
    }
}
export default Spacer;
