import TextLabelFactory from "../TextLabelFactory";
import { DialogContainer } from "../";
import ComponentFactory from "../ComponentFactory";
/** Represents a generic message dialog with one button to dismiss, contains either a single Paragraph component, or a stack initialized with given texts */
export declare class MessageDialog extends DialogContainer {
    static initializer: ComponentFactory<DialogContainer>;
    /** Create a message dialog with given text */
    constructor(headerText: string | TextLabelFactory, messageText: string | TextLabelFactory, buttonLabel?: string | TextLabelFactory);
    /** Create a message dialog with given texts stacked vertically */
    constructor(headerText: string | TextLabelFactory, messageTexts: (string | TextLabelFactory)[], buttonLabel?: string | TextLabelFactory);
    /** Dialog header text, if any */
    headerText?: string | TextLabelFactory;
    /** One or more lines of text to be displayed as main content */
    messageText: string | TextLabelFactory | (string | TextLabelFactory)[];
    /** The dismiss button label (defaults to Dismiss) */
    buttonLabel: string | TextLabelFactory;
}
export default MessageDialog;
