import TextLabelFactory from "../TextLabelFactory";
import { Animation, Container } from "../../";
/** Represents a popover with a container component inside (borrows from Bootstrap but only supports top/bottom positioning) */
export declare class PopOver {
    /** Create a popover containing given container, and optional title text */
    constructor(container: Container, title?: string | TextLabelFactory);
    /** Display this popover below given reference DOM element */
    displayBelow(refElt: HTMLElement, animation?: Animation): void;
    /** Display this popover above given reference DOM element */
    displayAbove(refElt: HTMLElement, animation: Animation): void;
    /** Display popover element around given horizontal position */
    private _display(horiz, vert, alignTop?);
    private _arrow;
    private _popover;
    private _content;
}
export default PopOver;
